Name:           python-sphinxcontrib-github-alt
Version:        1.0
Release:        2%{?dist}
Summary:        Link to GitHub issues, pull requests, commits and users from Sphinx docs
License:        BSD
URL:            https://github.com/jupyter/sphinxcontrib_github_alt
Source0:        %url/archive/%{version}/sphinxcontrib_github_alt-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-pip
BuildRequires:  python3-devel
BuildRequires:  python3-flit
# for flit to analyze the README:
BuildRequires:  python3-pygments

%global _description \
Link to GitHub issues, pull requests, commits and users for a particular \
project. \
It's called 'alt' because sphinxcontrib-github already exists. IPython & \
Jupyter projects have been using the syntax defined in this extension for \
some time before we made it into its own package, so we didn't want to \
switch to sphinxcontrib-github.

%description %_description


%package -n     python3-sphinxcontrib-github-alt
Summary:        %summary
Provides:       python3-sphinxcontrib_github_alt = %{version}-%{release}
%{?python_provide:%python_provide python3-sphinxcontrib-github-alt}
%{?python_provide:%python_provide python3-sphinxcontrib_github_alt}

%description -n python3-sphinxcontrib-github-alt

%_description


%prep
%autosetup -n sphinxcontrib_github_alt-%{version}


%build
# this package has no setup.py, it uses flit
export FLIT_NO_NETWORK=1
flit build --format wheel


%install
# We install the wheel created at %%build
%py3_install_wheel sphinxcontrib_github_alt-%{version}-py2.py3-none-any.whl 


# no tests, no %%check


%files -n python3-sphinxcontrib-github-alt
%doc README.rst
%license COPYING.md
%{python3_sitelib}/sphinxcontrib_github_alt-%{version}.dist-info/
%{python3_sitelib}/sphinxcontrib_github_alt.py
%{python3_sitelib}/__pycache__/sphinxcontrib_github_alt*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 04 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0-1
- initial package
